%% Numeros de Fibonacci
% Na matemtica, os Nmeros de Fibonacci so uma seqncia recursiva definida pela frmula abaixo:
% se n = 0 => f(n) = 0
% se n = 1 => f(n) = 1
% se n > 1 => f(n) = f(n-2) + f(n-1)
%% Inicio: criao dos trs primeiros nmeros de Fibonacci
clear
clc
f(1) = 1;
f(2) = 1;
n = 3;
f(n) = f(n-1) + f(n-2)
%% Razo entre dois nmeros de Fibonacci consecutivos f(n)/f(n-1)
% Para n -> infinido => f(n)/f(n-1) => Razao Aurea
razao = f(n)/f(n-1)
% Razao Aurea
RazaoAurea = (1+sqrt(5))/2 
% Mais 'proximo possvel' da Razao Aurea
tol = eps(RazaoAurea);  
%% Quantos nmeros de Fibonacci so necessrios para obter a Razao Aurea
while abs(razao-RazaoAurea) >= tol
    n = n + 1;
    f(n) = f(n-1) + f(n-2);
    razao = f(n)/f(n-1) ;
end
%% Resultados
% Exibio de f
disp(f)
%%
% Razao final
razao
%%
% Resumo dos resultados
disp(['So necessrios ' num2str(n), ' nmeros de Fibonacci para chegar o mais prximo possvel do valor da Razao urea.'])